Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87897 - RFE: "info registers" gives segment base and limit for %gs
Summary: RFE: "info registers" gives segment base and limit for %gs
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-03 16:34 UTC by John Reiser
Modified: 2010-05-07 20:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 20:10:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Sourceware 9354 None None None Never

Description John Reiser 2003-04-03 16:34:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
Please enhance "info registers" to list the current base and limit values for
segment registers on ix86.  This would be particularly useful when debugging
code which uses NPTL locale/threads/etc on i686 because /lib/tls/libc.so.6 uses
%gs extensively.

Version-Release number of selected component (if applicable):
gdb-5.3post-0.20021129.18

How reproducible:
Always

Steps to Reproduce:
1. Run any program under gdb; stop at a breakpoint.
2. (gdb) info registers
3.
    

Actual Results:  cs             0x23	35
ss             0x2b	43
ds             0x2b	43
es             0x2b	43
fs             0x0	0
gs             0x0	0


Expected Results:  cs             0x23	35    0    0xfffff
ss             0x2b	43    0xc0000000    0xfdfff
ds             0x2b	43    0    0xfffff
es             0x2b	43    0    0xfffff
fs             0x0	0
gs             0x33     51    0x42130020    0xfffff


Additional info:

Probably, full generality will require a new kernel call to report the values,
although in the specific case of %gs usage by NPTL, there may be a backdoor for
NPTL to cooperate with gdb.

Comment 1 Bill Nottingham 2006-08-05 05:26:07 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 2 John Reiser 2006-08-05 20:08:56 UTC
This request still applies to Fedora Core 6 test 1, gdb-6.5-3.fc6rh.

There is no box to check that I am supplying the requested info; so, change to
NeedInfo - Assignee.  (Entered page via http://bugzilla.redhat.com/bugzilla, was
recognized by cookie as logged in, typed bug number in GoTo Bug#  box, typed
<Enter>.  Searched page for "req" using Find command in Firefox (<ctrl>F) to be
sure that I did not overlook any checkbox about requested information.)

Comment 3 John Reiser 2006-08-05 20:11:07 UTC
Now there is a "I am providing the requested information" box, just under the
"Please create attachement".  So I will check it.

Comment 4 Matthew Miller 2007-04-06 19:02:22 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 5 John Reiser 2007-04-07 21:13:28 UTC
This enhancement request still applies.  "info registers" should list the base
and limit for %gs, but does not.  I change the bugreport Version to "devel".

(gdb) info reg
     . . .
cs             0x73     115
ss             0x7b     123
ds             0x7b     123
es             0x7b     123
fs             0x0      0
gs             0x33     51
(gdb) show version
GNU gdb Red Hat Linux (6.6-7.fc7rh)


Comment 6 Matthew Miller 2007-04-08 18:26:19 UTC
Thanks. This may be better (read: more quickly, or ever) addressed by upstream
gdb -- http://sourceware.org/cgi-bin/gnatsweb.pl .


Note You need to log in before you can comment on or make changes to this bug.